/**
 * Default 部件模型
 *
 * @export
 * @class DefaultModel
 */
export default class DefaultModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof DefaultModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'sysuser',
        prop: 'userid',
      },
      {
        name: 'username',
      },
      {
        name: 'personname',
      },
      {
        name: 'password',
      },
      {
        name: 'usercode',
      },
      {
        name: 'loginname',
      },
      {
        name: 'domains',
      },
      {
        name: 'mdeptid',
      },
      {
        name: 'mdeptcode',
      },
      {
        name: 'mdeptname',
      },
      {
        name: 'bcode',
      },
      {
        name: 'postid',
      },
      {
        name: 'postcode',
      },
      {
        name: 'postname',
      },
      {
        name: 'orgid',
      },
      {
        name: 'orgcode',
      },
      {
        name: 'orgname',
      },
      {
        name: 'nickname',
      },
      {
        name: 'certcode',
      },
      {
        name: 'sex',
      },
      {
        name: 'birthday',
      },
      {
        name: 'phone',
      },
      {
        name: 'email',
      },
      {
        name: 'avatar',
      },
      {
        name: 'addr',
      },
      {
        name: 'usericon',
      },
      {
        name: 'theme',
      },
      {
        name: 'lang',
      },
      {
        name: 'fontsize',
      },
      {
        name: 'memo',
      },
      {
        name: 'reserver',
      },
    ]
  }


}